# Interface JarScanFilter

All Known Implementing Classes:
  `StandardJarScanFilter`

public interface JarScanFilter
Filter used to determine which JAR files should be included in a scan.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`check(JarScanType jarScanType, String jarName)`
Check if a JAR should be included in the scan results.
`default boolean`
`isSkipAll()`
Determine if all JAR scans should be skipped.

## Method Details

### check

boolean check(JarScanType jarScanType, String jarName)
Check if a JAR should be included in the scan results.

Parameters:
  `jarScanType` - The type of JAR scan currently being performed
  `jarName` - The name of the JAR file (without any path information) to be checked to see if it should be included in the results or not
Returns:
  `true` if the JAR should be returned in the results, `false` if it should be excluded

### isSkipAll

default boolean isSkipAll()
Determine if all JAR scans should be skipped.

Returns:
  `true` if all of the scans should be skipped which can improve startup performance. The default is `false`.